Subject: Re: Bug in setup.exe 2.194.2.24
From: "Cliff Hones" <[email-masked]>
To: "Robert Collins" <[email-masked]>, <[email-masked]>
Date: Mon, 22 Apr 2002 10:16:20 +0100

Robert Collins <[email-masked]> wrote

> ...
> Thanks for the detail Cliff. As a point of interest: both latest and
> contrib are obsolete - and I expect setup.exe to redownload the entire
> content of mirror sites. This is due to a restructuring done on
> sources.redhat.com to put everythign in to /release. However the
> restructuring is transparent in all other respects - which is why there
> have been no trouble reports here :}.
>
> The download process iterates over all known packages, and calls
> download_one for the binary (if the binary is selected for
> install/download) and source packages (likewise, only if selected). The
> first thing that download_one does is call check_for_cached and returns
> success if check_for_cached succeeds. Check_for_cached checks both the
> non-prefixed directories, and the directories in each <known> mirror
> prefix. This means that changing mirrors will cause repeated downloads,
> and that selecting all the mirrors you want to use is the most efficient
> approach.

Yes - sorry, I was aware of the change.  It was indeed release that
I moved the package to.  I've since downloaded the setup source
from CVS and rebuilt it.  I was pleasantly surprised how easy
this was (once I realised the setup200202 branch was needed), and
after adding some diagnostics have so far found that the check_for_cached
calls do seem to be working ok.  Will look at download_one later.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/